## ros-rolling-rclcpp-action 15.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp_action)

find_package(ament_cmake_ros REQUIRED)
find_package(action_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_action REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rosidl_runtime_c REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(
    -Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual
    -Wformat=2 -Wconversion -Wshadow -Wsign-conversion -Wcast-qual
  )
endif()

set(${PROJECT_NAME}_SRCS
  src/client.cpp
  src/qos.cpp
  src/server.cpp
  src/server_goal_handle.cpp
  src/types.cpp
)

add_library(${PROJECT_NAME}
  ${${PROJECT_NAME}_SRCS})

target_include_directories(${PROJECT_NAME}
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")

ament_target_dependencies(${PROJECT_NAME}
  "action_msgs"
  "rcl_action"
  "rclcpp"
  "rcpputils"
  "rosidl_runtime_c"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "RCLCPP_ACTION_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})

ament_export_dependencies(ament_cmake)
ament_export_dependencies(action_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rcl_action)
ament_export_dependencies(rosidl_runtime_c)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${rclcpp_INCLUDE_DIRS})
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test/benchmark)

  ament_add_gtest(test_client test/test_client.cpp TIMEOUT 180)
  if(TARGET test_client)
    ament_target_dependencies(test_client
      "rcutils"
      "test_msgs"
    )
    target_link_libraries(test_client
      ${PROJECT_NAME}
      mimick
    )
  endif()

  ament_add_gtest(test_server test/test_server.cpp TIMEOUT 180)
  if(TARGET test_server)
    ament_target_dependencies(test_server
      "rcpputils"
      "rcutils"
      "test_msgs"
    )
    target_link_libraries(test_server
      ${PROJECT_NAME}
      mimick
    )
  endif()

  ament_add_gtest(test_server_goal_handle test/test_server_goal_handle.cpp)
  if(TARGET test_server_goal_handle)
    ament_target_dependencies(test_server_goal_handle
      "rcutils"
      "test_msgs"
    )
    target_link_libraries(test_server_goal_handle
      ${PROJECT_NAME}
      mimick
    )
  endif()

  ament_add_gtest(test_traits test/test_traits.cpp)
  if(TARGET test_traits)
    ament_target_dependencies(test_traits
      "test_msgs"
    )
    target_link_libraries(test_traits
      ${PROJECT_NAME}
    )
  endif()

  ament_add_gtest(test_types test/test_types.cpp)
  if(TARGET test_types)
    ament_target_dependencies(test_types
      "test_msgs"
    )
    target_link_libraries(test_types
      ${PROJECT_NAME}
    )
  endif()
endif()

ament_package()

=== test/benchmark/CMakeLists.txt ===
find_package(performance_test_fixture REQUIRED)

# These benchmarks are only being created and run for the default RMW
# implementation. We are looking to test the performance of the ROS 2 code, not
# the underlying middleware.

add_performance_test(
  benchmark_action_client
  benchmark_action_client.cpp
  TIMEOUT 240)
if(TARGET benchmark_action_client)
  target_link_libraries(benchmark_action_client ${PROJECT_NAME})
  ament_target_dependencies(benchmark_action_client rclcpp test_msgs)
endif()

add_performance_test(
  benchmark_action_server
  benchmark_action_server.cpp
  TIMEOUT 120)
if(TARGET benchmark_action_server)
  target_link_libraries(benchmark_action_server ${PROJECT_NAME})
  ament_target_dependencies(benchmark_action_server rclcpp test_msgs)
endif()

=== debian/changelog ===
ros-rolling-rclcpp-action (15.0.0-1focal) focal; urgency=high

  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-action (14.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-action (14.0.0-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp-action (13.1.0-1focal) focal; urgency=high

  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp-action (13.0.0-1focal) focal; urgency=high

  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp. (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-rclcpp-action (12.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-action (11.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-action (11.1.0-1focal) focal; urgency=high

  * Fixed occasionally missing goal result caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-action (11.0.0-1focal) focal; urgency=high

  * Bump the benchmark timeout for benchmark_action_client (#1671 <https://github.com/ros2/rclcpp/issues/1671>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 07:00:00 -0000

ros-rolling-rclcpp-action (10.0.0-1focal) focal; urgency=high

  * Returns CancelResponse::REJECT while goal handle failed to transit to CANCELING state (#1641 <https://github.com/ros2/rclcpp/issues/1641>)
  * Fix action server deadlock issue that caused by other mutexes locked in CancelCallback (#1635 <https://github.com/ros2/rclcpp/issues/1635>)
  * Contributors: Kaven Yau

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 07:00:00 -0000

ros-rolling-rclcpp-action (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-action (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-action (9.0.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-action (8.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-action (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-action (8.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-action (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-action (7.0.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * node_handle must be destroyed after client_handle to prevent memory leak (#1562 <https://github.com/ros2/rclcpp/issues/1562>)
  * Contributors: Andrea Sorbini, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-action (6.3.1-1focal) focal; urgency=high

  * Finalize rcl_handle to prevent leak (#1528 <https://github.com/ros2/rclcpp/issues/1528>) (#1529 <https://github.com/ros2/rclcpp/issues/1529>)
  * Fix #1526 <https://github.com/ros2/rclcpp/issues/1526>. (#1527 <https://github.com/ros2/rclcpp/issues/1527>)
  * Contributors: y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-rolling-rclcpp-action (6.3.0-1focal) focal; urgency=high

  * Fix action server deadlock (#1285 <https://github.com/ros2/rclcpp/issues/1285>) (#1313 <https://github.com/ros2/rclcpp/issues/1313>)
  * Contributors: Daisuke Sato

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-action (6.2.0-1focal) focal; urgency=high

  * Goal response callback compatibility shim with deprecation of old signature (#1495 <https://github.com/ros2/rclcpp/issues/1495>)
  * [rclcpp_action] Add warnings (#1405 <https://github.com/ros2/rclcpp/issues/1405>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-action (6.1.0-1focal) focal; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Contributors: Stephen Brawner



=== debian/control ===
Source: ros-rolling-rclcpp-action
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-mimick-vendor, ros-rolling-performance-test-fixture, ros-rolling-rcl-action, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-c, ros-rolling-test-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-rcl-action, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-c, ros-rolling-ros-workspace
Description: Adds action APIs for C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rclcpp-action//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rclcpp-action 23.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,10 @@
 find_package(rcpputils REQUIRED)
 find_package(rosidl_runtime_c REQUIRED)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_compile_options(
@@ -34,7 +35,7 @@
 target_include_directories(${PROJECT_NAME}
   PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 
 ament_target_dependencies(${PROJECT_NAME}
   "action_msgs"
@@ -51,7 +52,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include)
+  DESTINATION include/${PROJECT_NAME})
 
 install(
   TARGETS ${PROJECT_NAME}
@@ -61,11 +62,14 @@
   RUNTIME DESTINATION bin
 )
 
-# specific order: dependents before dependencies
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(${PROJECT_NAME})
+
+# Export modern CMake targets
 ament_export_targets(${PROJECT_NAME})
 
+# specific order: dependents before dependencies
 ament_export_dependencies(ament_cmake)
 ament_export_dependencies(action_msgs)
 ament_export_dependencies(rclcpp)

=== debian/changelog ===
ros-rolling-rclcpp-action (23.0.0-1jammy) jammy; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * fix(ClientGoalHandle): Made mutex recursive to prevent deadlocks (#2267 <https://github.com/ros2/rclcpp/issues/2267>)
  * Contributors: Christophe Bedard, jmachowinski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-action (22.2.0-1jammy) jammy; urgency=high

  * Correct the position of a comment. (#2290 <https://github.com/ros2/rclcpp/issues/2290>)
  * Fix a typo in a comment. (#2283 <https://github.com/ros2/rclcpp/issues/2283>)
  * doc fix: call canceled only after goal state is in canceling. (#2266 <https://github.com/ros2/rclcpp/issues/2266>)
  * Contributors: Chris Lalancette, Jiaqi Li, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-action (22.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclcpp-action (22.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclcpp-action (21.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-action (21.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-action (21.1.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclcpp-action (21.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-action (21.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-action (20.0.0-1jammy) jammy; urgency=high

  * extract the result response before the callback is issued. (#2132 <https://github.com/ros2/rclcpp/issues/2132>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Fix the GoalUUID to_string representation (#1999 <https://github.com/ros2/rclcpp/issues/1999>)
  * Contributors: Chris Lalancette, Nathan Wiebe Neufeldt, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-action (19.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rclcpp-action (19.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-action (19.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-action (19.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-rolling-rclcpp-action (18.0.0-1jammy) jammy; urgency=high

  * Explicitly set callback type (#2059 <https://github.com/ros2/rclcpp/issues/2059>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 29 Dec 2022 00:00:00 -0000

ros-rolling-rclcpp-action (17.1.0-1jammy) jammy; urgency=high

  * Do not clear entities callbacks on destruction (#2002 <https://github.com/ros2/rclcpp/issues/2002>)
  * Contributors: mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rclcpp-action (17.0.0-1jammy) jammy; urgency=high

  * Revert "Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)" (#1956 <https://github.com/ros2/rclcpp/issues/1956>)
  * Introduce executors new spin_for method, replace spin_until_future_complete with spin_until_complete. (#1821 <https://github.com/ros2/rclcpp/issues/1821>) (#1874 <https://github.com/ros2/rclcpp/issues/1874>)
  * Contributors: Hubert Liberacki, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rclcpp-action (16.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rclcpp-action (16.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-action (16.0.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-action (16.0.0-1jammy) jammy; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-action (15.4.0-1jammy) jammy; urgency=high

  * add take_data_by_entity_id API to waitable (#1892 <https://github.com/ros2/rclcpp/issues/1892>)
  * Contributors: Alberto Soragna

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rclcpp-action (15.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-action (15.2.0-1jammy) jammy; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rclcpp-action (15.1.0-1jammy) jammy; urgency=high

  * Add RMW listener APIs (#1579 <https://github.com/ros2/rclcpp/issues/1579>)
  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * Contributors: Shane Loretz, iRobot ROS



=== debian/control ===
Source: ros-rolling-rclcpp-action
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-mimick-vendor <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcl-action, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-c, ros-rolling-test-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-rcl-action, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-c, ros-rolling-ros-workspace
Description: Adds action APIs for C++.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
